<?php

$args = array(
		'class'=>'',
		'animate'=>'',
		'title'=>'',
		'contactfromid'=>'',		
		'margin'=>'',					
);

$html = "";

extract(shortcode_atts($args, $atts));

    if($animate == "yes"){ 
    $bauen_animate_start = '<div class="animate-box" data-animate-effect="fadeInUp">';
    $bauen_animate_end = '</div>';
    } else {
	$bauen_animate_start="";
	$bauen_animate_end="";		
	}

	$html .='<div class="sec-contact-form '.esc_attr($class).'"';
			if($margin != '') { $html .='style="margin:'.$margin.';"';} 
	$html .='>'; 
	    $html .=''.$bauen_animate_start.''; 
		    if($title != '') {	
		    $html .='<p><b>'.esc_html($title).'</b></p>'; 
			} 
			$html .=''.do_shortcode('[contact-form-7 id="'.esc_attr($contactfromid).'" title="Contact Form"]').'';
		$html .=''.$bauen_animate_end.''; 		
	$html .='</div>';  		

echo $html;